<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* base.html.twig */
class __TwigTemplate_5b5dc5dde658f4aab02a011c8bc4485585215152df675157484f81d65e57ed9c extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'stylesheets' => [$this, 'block_stylesheets'],
            'superbody' => [$this, 'block_superbody'],
            'body' => [$this, 'block_body'],
            'javascripts' => [$this, 'block_javascripts'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "template", "base.html.twig"));

        // line 1
        yield "<!DOCTYPE html>

<html lang=\"en\"><head>
    <meta charset=\"utf-8\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">

    <title>";
        // line 7
        yield from         $this->unwrap()->yieldBlock("title", $context, $blocks);
        yield "</title>
    <link rel=\"stylesheet\" href=\"";
        // line 8
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("base.css"), "html", null, true);
        yield "\" />
    <link rel=\"stylesheet\" href=\"";
        // line 9
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/font-awesome-4.3.0/css/font-awesome.min.css"), "html", null, true);
        yield "\">
    <link rel=\"stylesheet\" href=\"";
        // line 10
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/chosen.bootstrap.css"), "html", null, true);
        yield "\">
    <link rel=\"shortcut icon\" href=\"";
        // line 11
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("favicon.ico"), "html", null, true);
        yield "\">
    <style>
        table tr[data-href] {
            cursor: pointer;
        }
    </style>
    ";
        // line 17
        yield from $this->unwrap()->yieldBlock('stylesheets', $context, $blocks);
        // line 18
        yield "</head>
<body>

";
        // line 21
        yield from $this->unwrap()->yieldBlock('superbody', $context, $blocks);
        // line 84
        yield "
</body>

<script src=\"";
        // line 87
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/jquery-2.1.3.min.js"), "html", null, true);
        yield "\"></script>
<script src=\"";
        // line 88
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/bootstrap-3.3.1/dist/js/bootstrap.min.js"), "html", null, true);
        yield "\"></script>
<script src=\"";
        // line 89
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/punycode.min.js"), "html", null, true);
        yield "\"></script>
<script src=\"";
        // line 90
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("resources/chosen.jquery.min.js"), "html", null, true);
        yield "\"></script>
<script>

function loadInfo() {
    \$('span[data-reverse]').each(function () {
        \$(this).load('/admin/tools/reverse?ip=' + \$(this).attr('data-reverse'));
        \$(this).removeAttr('data-reverse');
    })

    \$('span[data-load]').each(function () {
        \$(this).load(\$(this).attr('data-load'));
        \$(this).removeAttr('data-load');
    });
}

function enrichPage() {
    // clickable rows
    \$(document).on('click', 'table tr[data-href] a', function(e) {
        e.stopPropagation();
        window.location = \$(this).attr('href');
        return false;
    });

    \$(document).on('click', 'table tr[data-href]', function(e) {
        e.stopPropagation();
        window.location = \$(this).data('href');
        return false;
    });

    // automatic reverses
    \$(document).on('load change ajax/loaded', function() {
       loadInfo();
    });

    loadInfo();
}

\$(document).ready(function(){
    console.log(\"enriching!\");
    enrichPage();
});
</script>
";
        // line 132
        yield from $this->unwrap()->yieldBlock('javascripts', $context, $blocks);
        // line 133
        yield "
</html>
";
        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    // line 17
    public function block_stylesheets($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "stylesheets"));

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    // line 21
    public function block_superbody($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "superbody"));

        // line 22
        yield "<div class=\"container-fluid\">
    <nav class=\"navbar navbar-fixed-top topnav\" role=\"navigation\">
        <div class=\"container-fluid\">
            <div class=\"navbar-header\">

                <button type=\"button\" class=\"btn-sm btn-default navbar-toggle collapsed\" data-toggle=\"collapse\" data-target=\"#subnavbar\" aria-expanded=\"false\" aria-controls=\"navbar\">
                    <span class=\"sr-only\">";
        // line 28
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("menu.toggle"), "html", null, true);
        yield "</span>
                    <i class=\"fa fa-bars\"></i>
                </button>

                <a class=\"navbar-brand\" href=\"";
        // line 32
        yield $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("dashboard");
        yield "\">

                    ";
        // line 34
        yield ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["config"] ?? null), "brand", [], "any", false, false, false, 34), "brandName", [], "any", false, false, false, 34)) ? (CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["config"] ?? null), "brand", [], "any", false, false, false, 34), "brandName", [], "any", false, false, false, 34)) : ("poste<span class=\"io\">.io</span>"));
        yield "
                    <span class=\"mailserver hidden-xs\">mailserver</span></a>
            </div>


            <div id=\"subnavbar\" class=\"navbar-collapse collapse\" aria-expanded=\"false\" style=\"height: 1px;\">

                <div class=\"hidden-lg hidden-md hidden-sm\">
                ";
        // line 42
        yield from         $this->loadTemplate("_menu.html.twig", "base.html.twig", 42)->unwrap()->yield($context);
        // line 43
        yield "                </div>

                <ul class=\"nav navbar-nav navbar-right\">
                    <li><a href=\"/webmail\" style=\"color: gray\"><i class=\"fa fa-envelope\"></i> ";
        // line 46
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("menu.webmail"), "html", null, true);
        yield "</a></li>
                    <li><a href=\"";
        // line 47
        yield $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("logout");
        yield "\" id=\"logout\"><i class=\"fa fa-power-off\"></i> ";
        yield $this->env->getRuntime('Twig\Runtime\EscaperRuntime')->escape($this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("menu.logout"), "html", null, true);
        yield "</a></li>
                </ul>

            </div>

        </div>
    </nav>

    <div class=\"container-fluid\">
        <div class=\"row\">
            <div class=\"col-sm-3 col-md-2 sidebar\">
                ";
        // line 58
        yield from         $this->loadTemplate("_menu.html.twig", "base.html.twig", 58)->unwrap()->yield($context);
        // line 59
        yield "
                ";
        // line 60
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_SUPER_ADMIN")) {
            // line 61
            yield "                    <ul class=\"nav nav-sidebar\">
                        <p style=\"margin: 1.5em; font-size: 90%; ";
            // line 62
            if ( !$this->extensions['App\Base\Twig\HelperExtension']->isPro()) {
                yield "text-align: center;";
            }
            yield "\"><a href=\"https://poste.io/changelog\" style=\"color: silver; text-decoration: none;\">";
            yield $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("menu.version", ["version" => $this->extensions['App\Base\Twig\HelperExtension']->version()]);
            yield "</a></p>
                        <li>
                            ";
            // line 64
            $context["latest"] = $this->extensions['App\Base\Twig\HelperExtension']->latest_version();
            // line 65
            yield "
                            ";
            // line 66
            if ( !Twig\Extension\CoreExtension::testEmpty(($context["latest"] ?? null))) {
                // line 67
                yield "                            <p style=\"margin: 1.5em; font-size: 90%; ";
                if ( !$this->extensions['App\Base\Twig\HelperExtension']->isPro()) {
                    yield "text-align: center;";
                }
                yield "\"><a href=\"https://poste.io/changelog\" style=\"color: silver; text-decoration: none;\">";
                yield $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("menu.latest_version", ["version" => ($context["latest"] ?? null)]);
                yield "</a></p>
                            ";
            }
            // line 69
            yield "                        </li>
                    </ul>
                ";
        }
        // line 72
        yield "
            </div>

            <div class=\"col-sm-9 col-md-10 main\">
                <h1>";
        // line 76
        yield from         $this->unwrap()->yieldBlock("title", $context, $blocks);
        yield "</h1>
                ";
        // line 77
        yield from $this->unwrap()->yieldBlock('body', $context, $blocks);
        // line 78
        yield "            </div>
        </div>
    </div>
</div>

";
        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    // line 77
    public function block_body($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "body"));

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    // line 132
    public function block_javascripts($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "javascripts"));

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        return; yield '';
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName()
    {
        return "base.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable()
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo()
    {
        return array (  318 => 132,  305 => 77,  292 => 78,  290 => 77,  286 => 76,  280 => 72,  275 => 69,  265 => 67,  263 => 66,  260 => 65,  258 => 64,  249 => 62,  246 => 61,  244 => 60,  241 => 59,  239 => 58,  223 => 47,  219 => 46,  214 => 43,  212 => 42,  201 => 34,  196 => 32,  189 => 28,  181 => 22,  174 => 21,  161 => 17,  151 => 133,  149 => 132,  104 => 90,  100 => 89,  96 => 88,  92 => 87,  87 => 84,  85 => 21,  80 => 18,  78 => 17,  69 => 11,  65 => 10,  61 => 9,  57 => 8,  53 => 7,  45 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "base.html.twig", "/opt/admin/templates/base.html.twig");
    }
}
